%define upstream_name    MooseX-Aliases
%define upstream_version 0.10

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Attribute metaclass trait for L<MooseX::Aliases>
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Moose) >= 1.90.0
BuildRequires: perl(Test::Fatal) >= 0.3.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Requires)
BuildArch:  noarch

%description
The MooseX::Aliases module will allow you to quickly alias methods in
Moose. It provides an alias parameter for 'has()' to generate aliased
accessors as well as the standard ones. Attributes can also be initialized
in the constructor via their aliased names.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes LICENSE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Jun 15 2011 jquelin <jquelin> 0.100.0-1.mga2
+ Revision: 107098
- update to 0.10

* Wed Feb 16 2011 jquelin <jquelin> 0.90.0-1.mga1
+ Revision: 52339
- update to 0.09

* Thu Jan 20 2011 jquelin <jquelin> 0.80.0-1.mga1
+ Revision: 26646
- mageia rebuild
- imported package perl-MooseX-Aliases

